#!/bin/sh

VER="$1"
DIR="csharp"
ZIP="bccrypto-net-$VER-src.zip"
NEWZIP="bccrypto-net-$VER-src-nopatents.zip"

if [ -z "$VER" ] ; then
	echo "Usage: $0 <version>"
	exit 1
fi

if [ -e "$DIR" ] ; then
	echo "Error: Directory $DIR already exists."
	exit 1
fi

if [ ! -f "$ZIP" ] ; then
	echo "Error: Cannot find $ZIP."
	exit 1
fi

if [ -e "$NEWZIP" ] ; then
	echo "Error: $NEWZIP already exists."
	exit 1
fi

unzip -x "$ZIP"
rm -f "$DIR"/crypto/test/src/crypto/test/IDEATest.cs
rm -f "$DIR"/crypto/src/crypto/engines/IdeaEngine.cs
rm -f "$DIR"/crypto/src/asn1/misc/IDEACBCPar.cs
zip -r -9 "$NEWZIP" "$DIR"
rm -rf "$DIR"
