%global debug_package %{nil}

Name:           mono-bouncycastle
Version:        1.5
Release:        4%{?dist}
Summary:        Bouncy Castle Crypto Package for Mono

Group:          System Environment/Libraries
# Files in crypto/bzip2/ are ASL 1.1 licensed,
# everything else is MIT.
License:        MIT and ASL 1.1
URL:            http://www.bouncycastle.org/csharp/
# Original source http://www.bouncycastle.org/csharp/download/bccrypto-net-%{version}-src.zip
Source0:        bccrypto-net-%{version}-src-nopatents.zip
# The following script is used to remove certain patented algorithms
# from the source zip file before shipping it.
# Download the upstream zip file and invoke this script:
# ./bccrypto-generate-zip.sh %{version}
Source1:        bccrypto-generate-zip.sh
# Temporarily bundle mono.snk with this package to fix build on < F-13
Source2:        mono.snk
# Patch to enable building with Mono
Patch0:         bccrypto-mono.patch
# Patch to fix build with patent encumbered code removed
Patch1:         bccrypto-nopatents.patch
BuildRoot:      %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

BuildRequires:  mono-devel, nant
BuildRequires:  unzip

# Exclude architectures that don't have nant
ExcludeArch:    ppc64 ppc sparc64

%description
The Bouncy Castle Crypto package is a C# implementation of cryptographic
algorithms. It is a port of the Bouncy Castle Java APIs, with
approximately 80% of the functionality ported. The C# API is constantly
kept uptodate with bug fixes and new test cases from the Java build
(and vice versa sometimes), thus benefitting from the large user base
and real-world use the Java version has seen.

%prep
%setup -q -n csharp
%patch0 -p1 -b .mono
%patch1 -p1 -b .nopatents

%build
%if 0%{?fedora} < 13
cp %{SOURCE2} BouncyCastle.snk
%else
# Use the mono system key instead of generating our own here.
cp -a /etc/pki/mono/mono.snk BouncyCastle.snk
%endif
cd crypto/
nant dist

%install
rm -rf $RPM_BUILD_ROOT
cd crypto/
mkdir -p $RPM_BUILD_ROOT%{_libdir}/mono/gac/
gacutil -i dist/BouncyCastle.Crypto.dll -f -package bouncycastle -root $RPM_BUILD_ROOT%{_libdir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc crypto/Contributors.html
%doc crypto/License.html
%doc crypto/Readme.html
%{_libdir}/mono/gac/*/
%{_libdir}/mono/bouncycastle/

%changelog
* Wed Dec 02 2009 Kalev Lember <kalev@smartlink.ee> - 1.5-4
- Updated License tag to read 'MIT and ASL 1.1'

* Wed Dec 02 2009 Kalev Lember <kalev@smartlink.ee> - 1.5-3
- Temporarily bundle mono.snk with this package to fix build on < F-13

* Tue Dec 01 2009 Kalev Lember <kalev@smartlink.ee> - 1.5-2
- Use the system mono.snk key instead of regenerating on every build

* Fri Nov 13 2009 Kalev Lember <kalev@smartlink.ee> - 1.5-1
- Initial RPM release.
